Skip to main content

Update Resident: Propertyware

PUThttps://api.propexo.com/v1/residents/propertyware/:resident_id
Method
updateContact

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

resident_id stringrequired

The Propexo unique identifier for the resident

Request​

This endpoint expects an object.

    first_namestring

    The first name of the resident. This value maps to the firstName property of the Contact object

    middle_namestring

    The middle name of the resident. This value maps to the middleName property of the Contact object

    last_namestring

    The last name of the resident. This value maps to the lastName property of the Contact object

    email_1string<email>

    The primary email address for the resident. This value maps to the email property of the Contact object

    email_2string<email>

    The secondary email address for the resident. This value maps to the altEmail property of the Contact object

    date_of_birthstring<date-time>

    The date of birth of the resident. This value maps to the birthDate property of the Contact object.

    address_1string

    First line of the street address for the resident. This maps to the address property of Contact object

    address_2string

    Second line of the street address for the resident. This maps to the address2 property of the Contact object

    citystring

    City of the resident's address. This maps to the city property of the Contact object.

    statestring

    State of the resident's address. This maps to the state property of the Contact object.

    zipstring

    Zip/Postal Code of the resident's address. This maps to the zip property of the Contact object.

    countrystring

    Country of the resident's address. This maps to the country property of the Contact object

    phone_1string

    Primary phone number for the resident. Depending on the value of phone_1_type, this may map to the properties fax, homePhone, mobilePhone, or workPhone.

    phone_1_typestring

    The type of the primary phone. Must be one of 'HOME', 'MOBILE', 'WORK', or 'FAX'

    Show 4 enum values
    HOMEMOBILEWORKFAX
    phone_2string

    Secondary phone number for the resident. Depending on the value of phone_1_type, this may map to the properties fax, homePhone, mobilePhone, or workPhone.

    phone_2_typestring

    The type of the secondary phone. Must be one of 'HOME', 'MOBILE', 'WORK', or 'FAX'

    Show 4 enum values
    HOMEMOBILEWORKFAX
    notesstring

    Any notes about the resident. This maps to the comments property of the Contact object

    custom_data objectdeprecated

    Deprecated: Field is no longer applicable

    object

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    resident_idstringrequired

    The Propexo unique identifier for the resident

    first_namestring

    The first name of the resident. This value maps to the firstName property of the Contact object

    middle_namestring

    The middle name of the resident. This value maps to the middleName property of the Contact object

    last_namestring

    The last name of the resident. This value maps to the lastName property of the Contact object

    email_1string<email>

    The primary email address for the resident. This value maps to the email property of the Contact object

    email_2string<email>

    The secondary email address for the resident. This value maps to the altEmail property of the Contact object

    date_of_birthstring<date-time>

    The date of birth of the resident. This value maps to the birthDate property of the Contact object.

    address_1string

    First line of the street address for the resident. This maps to the address property of Contact object

    address_2string

    Second line of the street address for the resident. This maps to the address2 property of the Contact object

    citystring

    City of the resident's address. This maps to the city property of the Contact object.

    statestring

    State of the resident's address. This maps to the state property of the Contact object.

    zipstring

    Zip/Postal Code of the resident's address. This maps to the zip property of the Contact object.

    countrystring

    Country of the resident's address. This maps to the country property of the Contact object

    phone_1string

    Primary phone number for the resident. Depending on the value of phone_1_type, this may map to the properties fax, homePhone, mobilePhone, or workPhone.

    phone_1_typestring

    The type of the primary phone. Must be one of 'HOME', 'MOBILE', 'WORK', or 'FAX'

    Show 4 enum values
    HOMEMOBILEWORKFAX
    phone_2string

    Secondary phone number for the resident. Depending on the value of phone_1_type, this may map to the properties fax, homePhone, mobilePhone, or workPhone.

    phone_2_typestring

    The type of the secondary phone. Must be one of 'HOME', 'MOBILE', 'WORK', or 'FAX'

    Show 4 enum values
    HOMEMOBILEWORKFAX
    notesstring

    Any notes about the resident. This maps to the comments property of the Contact object

    custom_data objectdeprecated
    object

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/residents/propertyware/:resident_id
curl -X PUT https://api.propexo.com/v1/residents/propertyware/:resident_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"first_name": "string",
"middle_name": "string",
"last_name": "string",
"email_1": "[email protected]",
"email_2": "[email protected]",
"date_of_birth": "2024-07-29T15:51:28.071Z",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "string",
"phone_1": "string",
"phone_1_type": "HOME",
"phone_2": "string",
"phone_2_type": "HOME",
"notes": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"resident_id": "string",
"first_name": "string",
"middle_name": "string",
"last_name": "string",
"email_1": "[email protected]",
"email_2": "[email protected]",
"date_of_birth": "2024-07-29T15:51:28.071Z",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "string",
"phone_1": "string",
"phone_1_type": "HOME",
"phone_2": "string",
"phone_2_type": "HOME",
"notes": "string"
}
}